<?php

/*
 * ユニットが持つテーブルの生成を行う
  * @param tbl_unitのマスタ情報
  * テーブル名は extunit_○○○○（拡張ユニットのフォルダ名）とする
 */
function extunit_install($param, $db) {
//	$sql[] = 'DROP TABLE IF EXISTS extunit_extflash CASCADE;';
//	$sql[] = 'DROP TABLE IF EXISTS extunit_extflash_tmp CASCADE;';
//	$sql[] = 'DROP TABLE IF EXISTS extunit_extflash_img CASCADE;';
//	$sql[] = 'DROP TABLE IF EXISTS extunit_extflash_img_tmp CASCADE;';

	switch(DBTYPE) {
		case 'pgsql':
				$sql[] = 'CREATE TABLE extunit_extbimg5ttltxt5 (
					pageu_code			integer,
					big5ttltxt5_img1		text,
					big5ttltxt5_img1_sp	text,
					big5ttltxt5_alt1		text,
					big5ttltxt5_cap1		text,
					big5ttltxt5_clc_flg1	smallint default 0,
					big5ttltxt5_jmp_url1	text,
					big5ttltxt5_jmp_flg1	smallint default 1,
					big5ttltxt5_title1		text,
					big5ttltxt5_txt1		text,			
					big5ttltxt5_img2		text,	
					big5ttltxt5_img2_sp	text,	
					big5ttltxt5_alt2		text,			
					big5ttltxt5_cap2		text,			
					big5ttltxt5_clc_flg2	smallint default 0,
					big5ttltxt5_jmp_url2	text,			
					big5ttltxt5_jmp_flg2	smallint default 1,
					big5ttltxt5_title2		text,
					big5ttltxt5_txt2		text,			
					big5ttltxt5_img3		text,
					big5ttltxt5_img3_sp	text,
					big5ttltxt5_alt3		text,			
					big5ttltxt5_cap3		text,			
					big5ttltxt5_clc_flg3	smallint default 0,
					big5ttltxt5_jmp_url3	text,
					big5ttltxt5_jmp_flg3	smallint default 1,
					big5ttltxt5_title3		text,
					big5ttltxt5_txt3		text,
					big5ttltxt5_img4		text,
					big5ttltxt5_img4_sp	text,
					big5ttltxt5_alt4		text,
					big5ttltxt5_cap4		text,
					big5ttltxt5_clc_flg4	smallint default 0,
					big5ttltxt5_jmp_url4	text,
					big5ttltxt5_jmp_flg4	smallint default 1,
					big5ttltxt5_title4		text,
					big5ttltxt5_txt4		text,
					big5ttltxt5_img5		text,
					big5ttltxt5_img5_sp	text,
					big5ttltxt5_alt5		text,
					big5ttltxt5_cap5		text,
					big5ttltxt5_clc_flg5	smallint default 0,
					big5ttltxt5_jmp_url5	text,
					big5ttltxt5_jmp_flg5	smallint default 1,
					big5ttltxt5_title5		text,
					big5ttltxt5_txt5		text,
					big5ttltxt5_sp_layout smallint,
					bg_color				smallint default 0,
					bdr_type				smallint default 0,
					btm_padding		smallint default 2,
					bg_color_sp			smallint default 0,
					bdr_type_sp			smallint default 0,
					btm_padding_sp	smallint default 2,
					use_sp_flg	 		smallint,
					primary key (pageu_code)
				);';
				$sql[] = 'CREATE TABLE extunit_extbimg5ttltxt5_tmp (
					pageu_code			integer,
					big5ttltxt5_img1		text,
					big5ttltxt5_img1_sp	text,
					big5ttltxt5_alt1		text,
					big5ttltxt5_cap1		text,
					big5ttltxt5_clc_flg1	smallint default 0,
					big5ttltxt5_jmp_url1	text,
					big5ttltxt5_jmp_flg1	smallint default 1,
					big5ttltxt5_title1		text,
					big5ttltxt5_txt1		text,			
					big5ttltxt5_img2		text,	
					big5ttltxt5_img2_sp	text,	
					big5ttltxt5_alt2		text,			
					big5ttltxt5_cap2		text,			
					big5ttltxt5_clc_flg2	smallint default 0,
					big5ttltxt5_jmp_url2	text,			
					big5ttltxt5_jmp_flg2	smallint default 1,
					big5ttltxt5_title2		text,
					big5ttltxt5_txt2		text,			
					big5ttltxt5_img3		text,
					big5ttltxt5_img3_sp	text,
					big5ttltxt5_alt3		text,			
					big5ttltxt5_cap3		text,			
					big5ttltxt5_clc_flg3	smallint default 0,
					big5ttltxt5_jmp_url3	text,
					big5ttltxt5_jmp_flg3	smallint default 1,
					big5ttltxt5_title3		text,
					big5ttltxt5_txt3		text,
					big5ttltxt5_img4		text,
					big5ttltxt5_img4_sp	text,
					big5ttltxt5_alt4		text,
					big5ttltxt5_cap4		text,
					big5ttltxt5_clc_flg4	smallint default 0,
					big5ttltxt5_jmp_url4	text,
					big5ttltxt5_jmp_flg4	smallint default 1,
					big5ttltxt5_title4		text,
					big5ttltxt5_txt4		text,
					big5ttltxt5_img5		text,
					big5ttltxt5_img5_sp	text,
					big5ttltxt5_alt5		text,
					big5ttltxt5_cap5		text,
					big5ttltxt5_clc_flg5	smallint default 0,
					big5ttltxt5_jmp_url5	text,
					big5ttltxt5_jmp_flg5	smallint default 1,
					big5ttltxt5_title5		text,
					big5ttltxt5_txt5		text,
					big5ttltxt5_sp_layout smallint,
					bg_color				smallint default 0,
					bdr_type				smallint default 0,
					btm_padding		smallint default 2,
					bg_color_sp			smallint default 0,
					bdr_type_sp			smallint default 0,
					btm_padding_sp	smallint default 2,
					use_sp_flg	 		smallint,
					primary key (pageu_code)
				);';
			break;
			
			case "mysql":
				$sql[] = 'CREATE TABLE extunit_extbimg5ttltxt5 (
					pageu_code			integer,
					big5ttltxt5_img1		text,
					big5ttltxt5_img1_sp	text,
					big5ttltxt5_alt1		text,
					big5ttltxt5_cap1		text,
					big5ttltxt5_clc_flg1	smallint default 0,
					big5ttltxt5_jmp_url1	text,
					big5ttltxt5_jmp_flg1	smallint default 1,
					big5ttltxt5_title1		text,
					big5ttltxt5_txt1		text,			
					big5ttltxt5_img2		text,	
					big5ttltxt5_img2_sp	text,	
					big5ttltxt5_alt2		text,			
					big5ttltxt5_cap2		text,			
					big5ttltxt5_clc_flg2	smallint default 0,
					big5ttltxt5_jmp_url2	text,			
					big5ttltxt5_jmp_flg2	smallint default 1,
					big5ttltxt5_title2		text,
					big5ttltxt5_txt2		text,			
					big5ttltxt5_img3		text,
					big5ttltxt5_img3_sp	text,
					big5ttltxt5_alt3		text,			
					big5ttltxt5_cap3		text,			
					big5ttltxt5_clc_flg3	smallint default 0,
					big5ttltxt5_jmp_url3	text,
					big5ttltxt5_jmp_flg3	smallint default 1,
					big5ttltxt5_title3		text,
					big5ttltxt5_txt3		text,
					big5ttltxt5_img4		text,
					big5ttltxt5_img4_sp	text,
					big5ttltxt5_alt4		text,
					big5ttltxt5_cap4		text,
					big5ttltxt5_clc_flg4	smallint default 0,
					big5ttltxt5_jmp_url4	text,
					big5ttltxt5_jmp_flg4	smallint default 1,
					big5ttltxt5_title4		text,
					big5ttltxt5_txt4		text,
					big5ttltxt5_img5		text,
					big5ttltxt5_img5_sp	text,
					big5ttltxt5_alt5		text,
					big5ttltxt5_cap5		text,
					big5ttltxt5_clc_flg5	smallint default 0,
					big5ttltxt5_jmp_url5	text,
					big5ttltxt5_jmp_flg5	smallint default 1,
					big5ttltxt5_title5		text,
					big5ttltxt5_txt5		text,
					big5ttltxt5_sp_layout smallint,
					bg_color				smallint default 0,
					bdr_type				smallint default 0,
					btm_padding		smallint default 2,
					bg_color_sp			smallint default 0,
					bdr_type_sp			smallint default 0,
					btm_padding_sp	smallint default 2,
					use_sp_flg	 		smallint,
					primary key (pageu_code)
				)TYPE = InnoDB DEFAULT CHARSET=utf8';
				$sql[] = 'CREATE TABLE extunit_extbimg5ttltxt5_tmp (
					pageu_code			integer,
					big5ttltxt5_img1		text,
					big5ttltxt5_img1_sp	text,
					big5ttltxt5_alt1		text,
					big5ttltxt5_cap1		text,
					big5ttltxt5_clc_flg1	smallint default 0,
					big5ttltxt5_jmp_url1	text,
					big5ttltxt5_jmp_flg1	smallint default 1,
					big5ttltxt5_title1		text,
					big5ttltxt5_txt1		text,			
					big5ttltxt5_img2		text,	
					big5ttltxt5_img2_sp	text,	
					big5ttltxt5_alt2		text,			
					big5ttltxt5_cap2		text,			
					big5ttltxt5_clc_flg2	smallint default 0,
					big5ttltxt5_jmp_url2	text,			
					big5ttltxt5_jmp_flg2	smallint default 1,
					big5ttltxt5_title2		text,
					big5ttltxt5_txt2		text,			
					big5ttltxt5_img3		text,
					big5ttltxt5_img3_sp	text,
					big5ttltxt5_alt3		text,			
					big5ttltxt5_cap3		text,			
					big5ttltxt5_clc_flg3	smallint default 0,
					big5ttltxt5_jmp_url3	text,
					big5ttltxt5_jmp_flg3	smallint default 1,
					big5ttltxt5_title3		text,
					big5ttltxt5_txt3		text,
					big5ttltxt5_img4		text,
					big5ttltxt5_img4_sp	text,
					big5ttltxt5_alt4		text,
					big5ttltxt5_cap4		text,
					big5ttltxt5_clc_flg4	smallint default 0,
					big5ttltxt5_jmp_url4	text,
					big5ttltxt5_jmp_flg4	smallint default 1,
					big5ttltxt5_title4		text,
					big5ttltxt5_txt4		text,
					big5ttltxt5_img5		text,
					big5ttltxt5_img5_sp	text,
					big5ttltxt5_alt5		text,
					big5ttltxt5_cap5		text,
					big5ttltxt5_clc_flg5	smallint default 0,
					big5ttltxt5_jmp_url5	text,
					big5ttltxt5_jmp_flg5	smallint default 1,
					big5ttltxt5_title5		text,
					big5ttltxt5_txt5		text,
					big5ttltxt5_sp_layout smallint,
					bg_color				smallint default 0,
					bdr_type				smallint default 0,
					btm_padding		smallint default 2,
					bg_color_sp			smallint default 0,
					bdr_type_sp			smallint default 0,
					btm_padding_sp	smallint default 2,
					use_sp_flg	 		smallint,
					primary key (pageu_code)
				)TYPE = InnoDB DEFAULT CHARSET=utf8;';
				
				//mysql 5.5対応
				if(isset($db->dbversion) && version_compare($db->dbversion,"5.0.0", ">=")){
				//mysql5.0以上の時はTYPEをENGINEに置換え
					foreach((array)$sql as $k => $v){
						$sql[$k] = str_replace('TYPE = InnoDB','ENGINE = InnoDB', $v);
					}
				}
			break;
		default:
			return false;
			break;
	}
	//sqlの実行
	if(!is_array($sql)||!count($sql)>0) {
		//テーブルのないモジュール、ユニットは存在させない
		return false;
	}
	foreach($sql as $key => $val) {
		if(!$db->query($val)) {
			return false;
		}
	}
	return true;
}
?>